﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Understanding Analytics Features in Merged Interface</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Understanding Analytics Features in Merged Interface</h1>
        <h2 id="AnalyticsFeaturesinMergedInterface-ViewingAnalyticsConfigurationsList">Viewing Analytics Configurations List</h2>
        <p>Perform the following steps to view the list of configured analytics:</p>
        <ol>
            <li>
                <p>Log in to IGA, select <strong>Admin &gt; Analytics &gt; Analytics Configurations List</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Analytics Configurations List</strong> page that displays, view the defined controls.</p>
            </li>
            <li>
                <p>[Optional] To add a control owner to whom you might optionally want to send emails, click + Add.</p>
            </li>
            <li>
                <p>[Optional] To run an analytics report, click <strong>Run &gt; Run Now</strong>.<br />You can also perform a dry run to test the analytics report or view an analytics history report using the <strong>Dry Run</strong> option or the <strong>Run History</strong> option under <strong>Run </strong>respectively.</p>
            </li>
            <li>
                <p>[Optional] To schedule a control, click <strong>SCHEDULE.</strong></p>
            </li>
            <li>
                <p>[Optional] To create a new analytics report, click <strong>Create New Analytics</strong>.</p>
            </li>
            <li>
                <p>[Optional] To run all analytics listed in the <strong>Analytics Configuration List</strong> in a single-click, click <strong>Actions &gt; Run all Analytics</strong>.</p>
            </li>
            <li>
                <p>[Optional] To delete an Analytics report, select the required check box and click <strong>Actions &gt; Delete</strong>.</p>
            </li>
            <li>
                <p>[Optional] To export an Analytics report, click <strong>Actions &gt; Export</strong>.</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">You can select the required check box to delete an analytics record only. You cannot select the check box to export the required analytics records. For more information on columns shown in the Analytics Configuration List page, see <MadCap:xref href="Analytics-Configuration-List-Version-1.htm">Understanding the Analytics Configuration List (Version 1)</MadCap:xref>.</p>
                    <p class="note" MadCap:conditions="Default.v2020X,Default.v2021X">(Export of an analytics report without the usage of the check box  is available with Release v2020.0 and later)</p>
                </div>
            </li>
        </ol>
        <h2 id="AnalyticsFeaturesinMergedInterface-PerformingNewlyAddedTasksintheMergedInterface">Performing Newly Added Tasks in the Merged Interface</h2>
        <p>In addition to the tasks that you could perform in the separate interfaces, you can perform several new tasks in the merged interface. <br />The new features are explained by way of the <strong>Using SQL Query </strong>option. This option uses both existing and new fields. While the new fields are explained for your understanding, for information about the existing fields, see Creating Analytics Control V1 using SQL Query or Creating Elasticsearch based Analytics Control V2 using SQL Query section.</p>
        <p>You can also select the <strong>Using Elastic search Query</strong> option, the <strong>Runtime Analytics</strong> option, the <strong>Custom Analytics Control</strong> option to configure an Analytics report in the merged interface. For more information about using these options, see Creating Elasticsearch based Analytics Control V2, Creating Runtime Analytics Control, and Creating Custom Analytics Control, sections respectively.</p>
        <h3 id="AnalyticsFeaturesinMergedInterface-SpecifyingDisplayNameforAnalyticsReports">Specifying Display Name for Analytics Reports</h3>
        <p>You can specify a display name for an Analytics report. The value specified in the <strong>Display Name</strong> field is populated in the <strong>Analytics Configurations List &gt; Name</strong> field.</p>
        <p>Perform the following steps to specify a display name for an Analytics Report:</p>
        <ol>
            <li>
                <p>Log in to IGA, select <strong>Admin &gt; Analytics &gt; Analytics Configurations List</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Analytics Configurations</strong> page that displays, select <strong>Create New Analytics</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Create New Analytics</strong> pop-up window that displays, select <strong>Using SQL Query</strong>.<br /></p>
                <p>
                    <img src="../Resources/Images/Analytics Control.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
                <p>Figure: Analytics Control<br /></p>
            </li>
            <li>
                <p>In the <strong>Create New Analytics Configuration</strong> page that displays, enter a name under <strong>Display Name</strong>. </p>
            </li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">If <strong>Display Name</strong> is left empty, the name entered in the <strong>Analytics Name</strong> field is populated in the <strong>Analytics Configurations List &gt; Name</strong> field.</p>
        </div>
        <p>5. Fill in the values for the remaining fields. Ensure that values are added for the mandatory fields.</p>
        <p>6. Click <strong>Create</strong>.<br />The <strong>Analytics Configuration Details</strong> page shows the display name that was specified in Step 4.</p>
        <h3 id="AnalyticsFeaturesinMergedInterface-SavingAnalyticsReport">Saving Analytics Report</h3>
        <p>The Create New Analytics page provides you an option to save an Analytics report. You can also specify the number of history versions to maintain. In addition to this, you can also send the report over email, or save it to Elasticsearch server, database, or a local drive.</p>
        <p>You can save the V1 Analytics report to the database, if the <strong>Admin &gt; Global Configurations &gt; Analytics &gt; Allow V1 based Control</strong> is enabled. Else, the <strong>Save to Elastic or DB</strong> check box in the <strong>Edit Analytics Configurations</strong> page is disabled.</p>
        <h4 id="AnalyticsFeaturesinMergedInterface-SendingAnalyticsReporttoControlOwner">Sending Analytics Report to Control Owner</h4>
        <p>You can send the analytics report to all active owner(s) of the control over email. The control owner can be an individual user or a user group. The control owner has the privilege to view the Analytics report and modify it. For example, generate the report with a different SQL query, define dynamic attributes at run time, change the filled values in the <strong>Analytics Configurations</strong> page. The control owner is selected in the <strong>Analytics Configurations List </strong>page after the fields required for the Analytics report are defined. For more information about adding a control owner, see <MadCap:xref href="Adding-or-Removing-Owner-for-Elasticsearch-Based-Analytic-Controls.htm">Adding or Removing Owner for Elasticsearch Based Analytic Controls</MadCap:xref>.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">To send email to all active owner(s), the email template assigned to the control should have the ${ownerEmail} variable mentioned in the To/CC/BCC field. The email sent to control owners is always attached with a Excel file. This file has the report data for that specific execution.</p>
        </div>
        <p>Perform the following steps to send an Analytics report to control owner:</p>
        <ol>
            <li>
                <p>Log in to IGA, select <strong>Admin &gt; Analytics &gt; Analytics Configurations List</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Analytics Configurations</strong> page that displays, select <strong>Create New Analytics</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Create New Analytics</strong> pop-up window that displays, select <strong>Using SQL Query</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Create New Analytics Configuration</strong> page that displays, select <strong>Send Email As Attachments</strong> under Actions. </p>
            </li>
            <li>
                <p>Select an email template under <strong>Email Template</strong>.</p>
            </li>
            <li>
                <p>Fill in the values for the remaining fields. Ensure that values are added for the mandatory fields.</p>
            </li>
            <li>
                <p>Click <strong>Create</strong>.<br />The Analytics report is sent to the control owner over email.</p>
            </li>
        </ol>
        <h4 id="AnalyticsFeaturesinMergedInterface-SendingAnalyticsReporttoUsers">Sending Analytics Report to Users</h4>
        <p>You can define the user details in the Email template or add the email attribute in the query while defining Analytics control.</p>
        <ul>
            <li>
                <p>The Email template assigned to the control should contain ${userEmail} or ${ANALYTICSDATA.&lt;columnname-with-valid-email&gt;} in the TO/CC/BCC field.</p>
                <p>
                    <img src="../Resources/Images/Sample email template.jpg" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                    <br />
                </p>
                <p>Figure: Sample email template <br /><br />For more information about managing email templates, see <MadCap:xref href="../Chapter06-Configuring-EIC/Creating-and-Managing-Email-Templates.htm">Creating and Managing Email Templates</MadCap:xref>. </p>
            </li>
            <li>
                <p>The query should include the username column or any column which contains a valid email id.<br /><strong>Sample Query:</strong></p>
                <MadCap:codeSnippet>
                    <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                    <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
                    <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select u.username, u.firstname as 'First Name', u.lastname as 'Last Name',(select u1.email from users u1 where u.manager=u1.userkey) as 'Manager Email' from users u limit 10; </MadCap:codeSnippetBody>
                </MadCap:codeSnippet>
                <p>
                    <br />
                </p>
            </li>
        </ul>
        <p>Users whose username and email are both among the columns returned as a result of executing the Analytics control will receive the Analytics report over email.</p>
        <div class="info" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;" MadCap:conditions="Default.v2021X">
            <p class="note">This attachment feature is available from the Release v2021.0 onwards.</p>
        </div>
        <p MadCap:conditions="Default.v2021X"> Users will also receive a copy of the attachment data in the same email. If the attachment size exceeds over 10MB, then users will be notified in the same email itself. </p>
        <p>Perform the following steps to send an Analytics report to user:</p>
        <ol>
            <li>
                <p>Log in to IGA, select <strong> Admin &gt; Analytics &gt; Analytics Configurations List</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Analytics Configurations</strong> page that displays, select <strong>Create New Analytics</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Create New Analytics</strong> pop-up window that displays, select <strong>Using SQL Query</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Create New Analytics Configuration</strong> page that displays, enter the query in <strong>Analytics Query</strong>.</p>
            </li>
            <li>
                <p>Select <strong>Send Email</strong> under <strong>Actions</strong>. </p>
            </li>
            <li>
                <p>Select an email template under <strong>Email Template</strong>.</p>
            </li>
            <li>
                <p>Fill in the values for the remaining fields. Ensure that values are added for the mandatory fields.</p>
            </li>
            <li>
                <p>Click <strong>Create</strong>.<br />The analytics report is sent to the user over email.</p>
            </li>
        </ol>
        <h4 id="AnalyticsFeaturesinMergedInterface-SaveAnalyticsReporttoElasticsearchserverorDatabase">Save Analytics Report to Elasticsearch server or Database</h4>
        <p>You can save the report to an Elasticsearch server or the Saviynt database.</p>
        <ul>
            <li>
                <p>While saving the Analytics report to the Elasticsearch server, specify the context to be considered for generating the report. For more information about the types of Elasticsearch controls, see <MadCap:xref href="Context-Types-of-Elasticsearch-Controls.htm">Context Types of Elasticsearch Controls</MadCap:xref>.</p>
            </li>
            <li>
                <p>While saving the report to the database, optionally specify the application associated with the user’s SAV Role. Based on the configured accesses, the applications are listed in the <strong>Application</strong> field. </p>
            </li>
        </ul>
        <p>These applications are defined for the SAV Role in the <b>ADMIN &gt; SAV Role &gt; Access</b> page. For more information about adding access to a SAV Role, see <MadCap:xref href="../Chapter09-Managing-SAV-Roles/Creating-and-Managing-Custom-SAV-Roles.htm">Creating and Managing Custom SAV Roles</MadCap:xref>.</p>
        <p>Perform the following steps to save the Analytics report to an Elasticsearch server or the database:</p>
        <ol>
            <li>
                <p>Log in to IGA, select <strong>Admin &gt; Analytics &gt; Analytics Configurations List</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Analytics Configurations</strong> page that displays, select <strong>Create New Analytics</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Create New Analytics</strong> pop-up window that displays, select <strong>Using SQL Query</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Create New Analytics Configuration</strong> page that displays, select <strong>Save to Elastic Or DB</strong> under <strong>Actions</strong>. </p>
            </li>
            <li>
                <p>Select <strong>Elastic</strong>, then select a context under <strong>Context</strong>.<br />The options are:</p>
            </li>
        </ol>
        <ul>
            <li>
                <p><strong>User</strong>: Implements USER CONTEXT based controls to achieve user based visibility of control data.</p>
            </li>
            <li>
                <p><strong>Organization</strong>: Implements ORGANIZATION CONTEXT based controls to achieve organization based visibility of control data. </p>
            </li>
        </ul>
        <p>Or<br />Select <strong>DB,</strong> then optionally select application(s) under <strong>Application</strong>.<br />&#160;<br />6. Fill in the values for the remaining fields. Ensure that values are added for the mandatory fields.</p>
        <p>7. Click <strong>Create</strong> to save the Analytics report.</p>
        <h4 id="AnalyticsFeaturesinMergedInterface-SavingAnalyticsReporttoaLocalDrive">Saving Analytics Report to a Local Drive</h4>
        <p>While creating an analytic configuration, specify the path to save the Analytics report in a local drive of your computer or a shared space on your application server. The Analytics report is saved in the CSV format.</p>
        <p>Perform the following steps to save the analytics report to a local drive:</p>
        <ol>
            <li>
                <p>Log in to IGA, select <strong>Admin &gt; Analytics &gt; Analytics Configurations List</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Analytics Configurations</strong> page that displays, select <strong>Create New Analytics</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Create New Analytics</strong> pop-up window that displays, select <strong>Using SQL Query</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Create New Analytics Configuration</strong> page that displays, select <strong>Save to File</strong> under <strong>Actions</strong>. </p>
            </li>
            <li>
                <p>Enter a location in your local drive.&#160;</p>
                <p>
                    <img src="../Resources/Images/where do you want to save data.png" />
                </p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">By default, the Save To File path will be the path set in the <strong>jasper.dir.reports</strong> parameter in externalconfig.properties file.<br /></p>
                </div>
            </li>
            <li>
                <p>Fill in the values for the remaining fields. Ensure that values are added for the mandatory fields.</p>
            </li>
            <li>
                <p>Click <strong>Create </strong>or <strong> Update</strong> to save the Analytics report.&#160;</p>
            </li>
        </ol>
        <h3 id="AnalyticsFeaturesinMergedInterface-ViewingorDownloadingaCSVFile">Viewing or Downloading a CSV File</h3>
        <p>Perform the following steps to view or download a CSV file from the Run History page:</p>
        <ol>
            <li>
                <p>After running the analytics report, navigate to the <strong>Run History</strong> page (the graph page).</p>
            </li>
            <li>
                <p>Scroll down to the <strong>Run History List</strong> section.</p>
            </li>
            <li>
                <p>In the <strong>Total Conflict</strong> column, click the <strong>Download </strong>icon to download the file. </p>
                <p>
                    <img src="../Resources/Images/run history list.png" />
                </p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">If you have selected to save the results in the file system, then you will not be able to see the conflict details on User Interface. In that case, the Total Conflict count will be displayed as zero and you will only have the option to download the file and view the results.<br /></p>
                </div>
            </li>
        </ol>
        <h4 id="AnalyticsFeaturesinMergedInterface-StructureofaCSVFile">Structure of a CSV File</h4>
        <p>CSV files are downloaded as a zip file. The following sample screenshot illustrates the same.</p>
        <p>
            <img src="../Resources/Images/csv zip.png" style="width: 816px;height: 128px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p>Extract the zip file to access the CSV file. The following screenshot illustrates the same.</p>
        <p>
            <img src="../Resources/Images/excel download.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <h3 id="AnalyticsFeaturesinMergedInterface-ChoosingaDateValueatRun-time">Choosing a Date Value at Run-time</h3>
        <p>To choose the date value at run time, specify <strong>Attribute Type</strong> as <strong>DATE</strong> by performing the following tasks in sequence:</p>
        <ol>
            <li>
                <p>Add date as dynamic attribute in the <strong>Analytics Query</strong></p>
            </li>
            <li>
                <p>Specify <strong>Attribute Type</strong> as <strong>DATE</strong></p>
            </li>
            <li>
                <p>Choose a date value.</p>
            </li>
            <li>
                <p>Run the query.</p>
            </li>
        </ol>
        <p>For more information, read <MadCap:xref href="Defining-Dynamic-Attributes-at-Run-Time.htm">Defining Dynamic Attributes at Run Time</MadCap:xref>. </p>
        <h3 id="AnalyticsFeaturesinMergedInterface-SpecifyinganSQLQueryasAttributevalue">Specifying an SQL Query as Attribute value</h3>
        <p>To specify an SQL Query as attribute value, specify a dynamic attribute of type <strong>Single Select from SQL Query</strong> by performing the following tasks in sequence:</p>
        <ol>
            <li>
                <p>Add object as dynamic attribute in the <strong>Analytics Query.</strong></p>
            </li>
            <li>
                <p>Specify <strong>Attribute Type</strong> as <strong>Single Select from SQL Query.</strong></p>
            </li>
            <li>
                <p>Enter an SQL query.</p>
            </li>
            <li>
                <p>Run the query.</p>
            </li>
        </ol>
        <p>For more information, read <MadCap:xref href="Defining-Dynamic-Attributes-at-Run-Time.htm">Defining Dynamic Attributes at Run Time</MadCap:xref>. </p>
    </body>
</html>